> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /fred/series/observations

> Get the time-series observations for an economic data series by its identifier

**Price:** 1 credit

**⚠️ Common errors:** 412: Series not found



## OpenAPI

````yaml /openapi/finance-markets.json post /api/fred/series/observations
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/fred/series/observations:
    post:
      tags:
        - /fred
      summary: /fred/series/observations
      description: >-
        Get the time-series observations for an economic data series by its
        identifier


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Series not found
      operationId: __api_fred_series_observations_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FredSeriesObservationsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FredObservation'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FredSeriesObservationsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        series_id:
          type: string
        count:
          type: integer
          minimum: 1
        observation_start_date:
          anyOf:
            - type: string
            - type: 'null'
        observation_end_date:
          anyOf:
            - type: string
            - type: 'null'
        frequency:
          anyOf:
            - $ref: '#/components/schemas/FredFrequency'
            - type: 'null'
        aggregation_method:
          $ref: '#/components/schemas/FredAggregation'
          default: avg
        units:
          $ref: '#/components/schemas/FredUnits'
          default: lin
      type: object
      required:
        - series_id
        - count
    FredObservation:
      properties:
        '@type':
          type: string
          default: FredObservation
        date:
          type: string
        value:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - date
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FredFrequency:
      type: string
      enum:
        - Daily
        - Weekly, Ending Friday
        - Weekly, Ending Thursday
        - Weekly, Ending Wednesday
        - Weekly, Ending Tuesday
        - Weekly, Ending Monday
        - Weekly, Ending Sunday
        - Weekly, Ending Saturday
        - Biweekly, Ending Wednesday
        - Biweekly, Ending Monday
        - Monthly
        - Quarterly
        - Semiannual
        - Annual
    FredAggregation:
      type: string
      enum:
        - avg
        - sum
        - eop
    FredUnits:
      type: string
      enum:
        - lin
        - chg
        - ch1
        - pch
        - pc1
        - pca
        - cch
        - cca
        - log
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````